```mermaid
classDiagram
	Sorter <|-- QuickSorter
	Sorter <|-- CountingoSorter
	Sorter <|-- MergeSorter
	Sorter <|-- InsertionSorter
	Sorter <|-- SelectionSorter
	Sorter <|-- BubbleSorter
	
	class Sorter{
	<<abstract>>
	+SortResult measuredSort()
    #sort() void
	#String sortType
	#Integer[] numbers
	#String writesUsed
	#String comparisonsUsed
	#compare() int
	#swap() void
	}
	
	class BubbleSorter{
	#sort()
	}

    class QuickSorter{
        #sort() void
        -quickSort()
        -partition()
    }

    class InsertionSorter{
        #sort() void
    }

    class RandomNumberFileMaker{
		-String filname
		-int count
		-int max
		-int min
		+writeFile(): void
	}

```